import React from 'react';
import { View, StyleSheet, Text, Image } from 'react-native';
export const Cuenta = _ref => {
  let {
    isInformationAccount = true,
    isInformationAmount = true
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: styles.contenedorCuenta
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.info
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.description
  }, "Mis Cuentas "), /*#__PURE__*/React.createElement(Text, null, "Ver todas ")), /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.sectionCard
  }, /*#__PURE__*/React.createElement(Image, {
    style: styles.images,
    source: {
      uri: 'https://upload.wikimedia.org/wikipedia/commons/thumb/1/16/Banco_Pichincha_logo.svg/100px-Banco_Pichincha_logo.svg.png'
    }
  }), /*#__PURE__*/React.createElement(Text, {
    style: styles.textoCuenta
  }, "AHO850 \u2605 ")), /*#__PURE__*/React.createElement(View, {
    style: styles.sectionCard
  }, isInformationAccount ? /*#__PURE__*/React.createElement(Text, null, "Ahorro ", '\n', /*#__PURE__*/React.createElement(Text, {
    style: styles.textoCuenta
  }, "220805948")) : /*#__PURE__*/React.createElement(Text, null, "Informaci\xF3n no disponible"), isInformationAmount ? /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, "Saldo Disponible:", '\n', /*#__PURE__*/React.createElement(Text, {
    style: styles.textoCuenta
  }, "$3847378"))) : /*#__PURE__*/React.createElement(Text, null, "Saldo no disponible"))));
};
const styles = StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 17
  },
  sectionCard: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '100%',
    padding: 20
  },
  contenedorCuenta: {
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '100%'
  },
  container: {
    backgroundColor: '#FFFFFF',
    width: '90%',
    marginBottom: 30,
    height: 150,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    boxShadow: 'inset 1em 1em gold',
    shadowColor: '#000',
    borderRadius: 10,
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  description: {
    fontWeight: 'bold',
    fontSize: 16,
    color: '#1b003a'
  },
  info: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    padding: 20,
    width: '100%'
  },
  images: {
    width: 120,
    height: 25
  }
});
//# sourceMappingURL=Cuenta.js.map