"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValorPagarQr = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _axios = _interopRequireDefault(require("axios"));
var _encript = require("../../utility/encript");
var _dataQr = _interopRequireDefault(require("./dataqr/dataQr.json"));
var _reactUuid = _interopRequireDefault(require("react-uuid"));
var _native = require("@react-navigation/native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ValorPagarQr = () => {
  var _route$params;
  const navigate = (0, _native.useNavigation)();
  const uid = (0, _reactUuid.default)();
  const route = (0, _native.useRoute)();
  console.log((_route$params = route.params) === null || _route$params === void 0 ? void 0 : _route$params.data);
  const send = data => {
    const sign = new _encript.Sign(data, "https://api-test.pichincha.com/payment-execution/v2/direct-transfers", uid);
    const XApigeeCredentials = "NlBiOWtKbUlaOEJJSm1mQXdjOU0xcjFlR2pJMmV3Qlc6RGdNRnNZajZqMkNKNFhSRw==";
    const signature = sign.getSignature();
    const headers = {
      "X-Apigee-Credentials": XApigeeCredentials,
      "X-Device-IP": "200.10.89.34",
      "X-Guid": uid,
      "X-Device": "29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=",
      "X-Session": "3e80ddc9-29fb-4c99-b82e-403287fe4ce5",
      "X-Signature": signature
    };
    _axios.default.post("https://api-test.pichincha.com/payment-execution/v2/direct-transfers", data, {
      headers: headers
    }).then(res => {
      console.log(res.data);
      console.log({
        dataTransaccion: {
          "datosDebtor": {
            ...data
          },
          "datosDocument": {
            ...res.data
          }
        }
      });
      navigate.navigate("ConfirmarTransaccion", {
        dataTransaccion: {
          "datosDebtor": {
            ...data
          },
          "datosDocument": {
            ...res.data
          }
        }
      });
    }).catch(err => {
      console.log(err);
    });
  };
  const debit = _dataQr.default;
  try {
    var _route$params2;
    debit.data.transaction.amount = JSON.parse((_route$params2 = route.params) === null || _route$params2 === void 0 ? void 0 : _route$params2.data).valor;
  } catch (e) {
    console.log(e);
  }
  const accountbind = account => {
    const accountbin = account.substring(0, 3) + '*****' + account.substring(7, 10);
    return accountbin;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerVistaPrevia
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Para "), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nombre
  }, debit.data.debtor.customer.fullName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Cuenta de Ahorros "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, accountbind(debit.data.debtor.account.accountId))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Valor"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.ValorPagar
  }, debit.data.transaction.amount)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Desde"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.titulo
  }, "AH6848"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.parrafos
  }, "Cuenta de ahorros "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.parrafos
  }, "2378283287")), /*#__PURE__*/_react.default.createElement(_reactNative.View, null)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Descripcion"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    placeholder: "\xBFQue estas pagando? (Opcional)",
    maxLength: 40
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => send(debit),
    style: styles.Btncontinuar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Pagar")));
};
exports.ValorPagarQr = ValorPagarQr;
const styles = _reactNative.StyleSheet.create({
  card: {
    marginTop: 10,
    margin: 20
  },
  icon: {
    fontSize: 24
  },
  container: {
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: 80,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: 13,
    boxShadow: 'inset 1em 1em gold',
    shadowColor: '#000',
    borderRadius: 10,
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  titulo: {
    fontWeight: 'bold',
    color: 'black',
    fontSize: 17
  },
  parrafos: {
    fontWeight: 'bold',
    fontSize: 13
  },
  textoEncabezado: {
    fontWeight: 'bold',
    fontSize: 20
  },
  encabezado: {
    width: '100%'
  },
  input: {
    backgroundColor: '#FFFFFF',
    borderStyle: 'solid',
    borderColor: 'black',
    padding: 10
  },
  Btncontinuar: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  nombre: {
    fontSize: 19,
    fontWeight: 'bold',
    color: 'black'
  },
  containerVistaPrevia: {
    flex: 1,
    padding: 35,
    width: '100%',
    backgroundColor: '#FFFFFF',
    // CAMBIAR LA ALTURA LA 100% DE LA PANTALLA
    height: 650
  },
  encabezados: {
    fontWeight: 'bold',
    fontSize: 16,
    paddingTop: 10,
    paddingBottom: 10
  },
  contenedorSeccion: {
    padding: 8
  },
  ValorPagar: {
    fontSize: 36,
    fontWeight: 'bold',
    color: 'black'
  }
});
//# sourceMappingURL=ValorPagarQr.js.map