"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InfoPagoState = void 0;
var _react = _interopRequireWildcard(require("react"));
var _InfoPagoContext = _interopRequireDefault(require("./InfoPagoContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const InfoPagoState = _ref => {
  let {
    children
  } = _ref;
  const [estadoInicial, setEstadoInicial] = (0, _react.useState)({
    nombre: '',
    valor: 0
  });
  const setEstInicial = nuevoEstado => {
    setEstadoInicial(nuevoEstado);
  };
  return /*#__PURE__*/_react.default.createElement(_InfoPagoContext.default.Provider, {
    value: {
      ...estadoInicial,
      setEstInicial
    }
  }, children);
};
exports.InfoPagoState = InfoPagoState;
//# sourceMappingURL=InfoPagoState.js.map